<div class="main-panel">
    <div *ngIf="selectedCourse">
      <h1 class="title">{{selectedCourse.name}}</h1>
      <div class="rating-card"*ngIf="!selectedLecture">
        <app-rating [score]="selectedCourse.score" [courseId]="selectedCourse.id" [isTeacher]="isTeacher"></app-rating>
      </div>
        <div *ngIf="!selectedLecture;else lectureFocus">
          <span *ngIf="isTeacher">
          <button *ngIf="!moreThanAllowedLessons; else lessonOverflow" mat-raised-button class="new-lect"
            (click)=createNewLesson(selectedCourse.lecture_ids,selectedCourse.id)>Novi čas</button>
          </span>
          <ng-template #lessonOverflow>Prekoracili ste broj dozvoljenih casova</ng-template>
          <mat-divider></mat-divider>
          <p class="info">{{selectedCourse.description}}</p>
        </div>


    </div>



<ng-template #lectureFocus>
    <h2 class="title">Čas {{selectedLecture.index}}</h2>
    <mat-divider></mat-divider>
    <p class="info">{{selectedLecture.info}}</p>
    <mat-divider></mat-divider>

    <!-- MATERIALS -->
    <h4>Materijali:</h4>
    <app-upload *ngIf="isTeacher" [lecture_id]="selectedLecture.id"></app-upload>
    <div class="material-container" *ngIf="selectedLecture && selectedLecture.materials">
      <div *ngFor="let f of selectedLecture.materials">

        <!-- Video -->
        <div *ngIf="this.f.type === 'video/mp4';else notVideo">
          <video width="70%" controls>
            <source [src]="this.f.path" [type]="this.f.type">
          </video>
        </div>

        <!-- Img -->
        <ng-template #notVideo><div *ngIf="this.f.type.startsWith('image');else notImg">
          <mat-icon>image</mat-icon>
          <a imgLink [href]="this.f.path">{{this.f.name}}</a>
        </div></ng-template>

        <!-- PDF -->
        <ng-template #notImg><div  *ngIf="this.f.type === 'application/pdf';else otherType">
          <mat-icon>picture_as_pdf</mat-icon>
          <a [href]="this.f.path">{{this.f.name}}</a>
        </div></ng-template>

        <!-- Other -->
        <ng-template #otherType>
            <a [href]="this.f.path">{{this.f.name}}</a>
        </ng-template>
        <mat-divider></mat-divider>
      </div>
    </div>
    <!-- MATERIALS -->


    <div class="homework" *ngIf="!isTeacher">      
      <button mat-raised-button (click)=showQuizTest()>Proveri znanje</button>
    </div>

    <div *ngIf="showQuiz">
      <app-quiz-test [lectureId] = "selectedLecture.id" (closeQuizEmmiter)="closeQuiz($event)"></app-quiz-test>
    </div>

</ng-template>

</div>
